## python-agate-sql 0.5.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/agatesql.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/agatesql.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/agatesql"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/agatesql"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-agate-sql 0.5.2

=== debian/changelog ===
python-agate-sql (0.5.2-2) unstable; urgency=medium

  * Bump standards version to 4.0.0, no changes required
  * Build the docs using the upstream Makefile
  * Mark doc package multiarch foreign
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 25 Jul 2017 20:38:48 +0100

python-agate-sql (0.5.2-1) experimental; urgency=medium

  * New upstream version 0.5.2
  * Refresh the patch queue

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 May 2017 08:46:38 +0100

python-agate-sql (0.5.1-1) experimental; urgency=low

  * Initial release. (Closes: #850451)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 22 Mar 2017 11:15:15 +0000

=== debian/control ===
Source: python-agate-sql
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-agate-doc <!nodoc>,
               python3-agate <!nocheck> <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sqlalchemy <!nocheck> <!nodoc>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-sql.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-sql.git
Homepage: http://agate-sql.rtfd.org/
X-Python3-Version: >= 3.3

Package: python3-agatesql
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-agatesql-doc <!nodoc>
Description: support for SQL read/write in agate
 Agate-sql adds read/write support for SQL to agate. It uses a monkey patching
 pattern to add read and write methods for SQL to all agate.Table instances
 after import of the corresponding agatesql module.
 .
 This package provides the modules for Python 3.

Package: python-agatesql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for agate-sql
 Agate-sql adds read/write support for SQL to agate. It uses a monkey patching
 pattern to add read and write methods for SQL to all agate.Table instances
 after import of the corresponding agatesql module.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-agatesql,
         python3-all,
         python3-pytest

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-sql-$1\.tar\.gz/ \
https://github.com/wireservice/agate-sql/tags .*/v?(\d\S+)\.tar\.gz

## python-agate-sql 0.5.5

=== debian/changelog ===
python-agate-sql (0.5.5-4) unstable; urgency=medium

  * Add @builddeps@ to autopkgtests' Depends

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Jan 2021 15:39:49 +0100

python-agate-sql (0.5.5-3) unstable; urgency=medium

  * Team upload.
  * Bump minimum required python3-sqlalchemy version due to tests

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Jan 2021 22:06:58 +0100

python-agate-sql (0.5.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * Add 0004-escape-text-column-name-fixes-for-SA-v1.3.22.patch to fix tests
    with SQLAlchemy >= 1.3.22

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Jan 2021 13:32:35 +0100

python-agate-sql (0.5.5-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * New upstream version 0.5.5
  * Refreshing patches.
  * Skipping tests for unpackaged 'crate' plugin for 'sqlalchemy'.
  * Updating debian/copyright.
  * Adding 'Rules-Requires-Root: no'.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Aug 2020 01:18:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-agate-sql
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-agate-doc <!nodoc>,
@@ -13,18 +13,19 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-sqlalchemy <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 1.3.22) <!nocheck> <!nodoc>,
                sphinx-common
 Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-sql.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-sql.git
-Homepage: http://agate-sql.rtfd.org/
-X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate-sql
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-agate-sql.git
+Homepage: https://agate-sql.rtfd.org/
+Rules-Requires-Root: no
 
 Package: python3-agatesql
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-sqlalchemy (>= 1.3.22)
 Suggests: python-agatesql-doc <!nodoc>
 Description: support for SQL read/write in agate
  Agate-sql adds read/write support for SQL to agate. It uses a monkey patching

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = agatesql
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

## python-agate-sql 0.5.8

=== debian/changelog ===
python-agate-sql (0.5.8-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * New upstream version 0.5.8 (Closes: #995780)
  * Refreshing patches.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Oct 2021 03:41:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-agate-doc <!nodoc>,

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,5 @@
  ; done
 Depends: python3-agatesql,
          python3-all,
-         python3-pytest
+         python3-pytest,
+         @builddeps@

## python-agate-sql 0.7.2

=== debian/changelog ===
python-agate-sql (0.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.7.2
  * refresh patches
  * build de documentation with furo
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jan 2024 13:42:25 +0100

python-agate-sql (0.5.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:34:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               dpkg-dev (>= 1.17.14),
+               dh-sequence-python3,
                python-agate-doc <!nodoc>,
                python3-agate <!nocheck> <!nodoc>,
                python3-all,
@@ -14,6 +13,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sqlalchemy (>= 1.3.22) <!nocheck> <!nodoc>,
+               furo <!nodoc>,
                sphinx-common
 Standards-Version: 4.0.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate-sql

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-sql-$1\.tar\.gz/ \
https://github.com/wireservice/agate-sql/tags .*/v?(\d\S+)\.tar\.gz
